using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.Windows.Interop;
using System.Windows.Forms.Integration;


namespace WpfInteropShortcomings
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>

    public partial class Window1 : Page
    {

        public Window1()
        {
            InitializeComponent();

            ElementHost elemHost = new ElementHost();
            elemHost.PropertyMap.Add("Text",
                delegate(object host, string prop, object val)
                {
                    ContentControl c = (ContentControl) elemHost.Child;
                    c.Content = val;
                });
        }

    }
}